Skip to content

Document Override Remarks

Request

Use document override to send remarks such as tour code, commission, or endorsements/restrictions.Document override remarks are returned in the PNR retrieve only when the detailViewInd query parameter is set to true. Document override remarks can be added to an existing PNR but cannot be modified or deleted.

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier you wish to add document overrides

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/json

Document Overrides request payload.

@typestringrequired

Discriminator classes DocumentOverridesID or DocumentOverrides

Value:"DocumentOverrides"
Example:"DocumentOverrides"
Discriminator
idstring

The reporting number.

Example:"documentoverrides_001"
DocumentOverridesRefstring
Identifierobject(Identifier)

A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

OfferIdentifierobject(OfferIdentifier)

Travelport-generated offer identifier number.

ProductIdentifierobject(ProductIdentifier)

Product Identifier class. In next leg search Value from CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef in the Search response for the product to select for the first leg of the itinerary. When sending a second Next Leg Search request in a multi-city search, this value should be the offer for the second leg of the itinerary, and so on for additional O&D pairs.

CommissionsArray of objects, <= 10 items(Commissions)
DestinationPurposeArray of objects, <= 10 items(DestinationPurpose)
RestrictionsArray of objects, <= 10 items(Restrictions)
TourCodesArray of objects, <= 10 items(TourCodes)
ChangeFeeCollectionMethodobject(ChangeFeeCollectionMethod)
NetRemitInfoobject(NetRemitInfo)
TicketDesignatorsArray of objects, <= 10 items(TicketDesignators)
InvoiceFareAmountobject(CurrencyAmount)

A monetary amount, up to 4 decimal places. Decimal place must be included.

residualValueAsEvenExchangeMIRIndboolean

Report an exchange with residual value transaction as an Even exchange in the MIR.

Example:true
obFeeExemptIndboolean

If true, the associated Offer is exempt from OB Payment Card Fees.

Example:true
curl -i -X POST \
  https://api.pp.travelport.net/11/air/book/documentoverride/Reservation/49f58f5f-c443-43b4-9f5d-be405fd00a01/documentoverrides \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "DocumentOverrides",
    "id": "documentOverrides_1",
    "DocumentOverridesRef": "documentOverrides_1",
    "Commissions": [
      {
        "Commission": {
          "@type": "CommissionAmount",
          "Amount": {
            "code": "USD",
            "value": 123
          }
        }
      }
    ],
    "TourCodes": [
      {
        "TourCode": {
          "tourCodeType": "Bulk Tour",
          "value": "TCS"
        }
      }
    ],
    "Restrictions": [
      {
        "Restriction": [
          "NON Refundable"
        ]
      }
    ],
    "DestinationPurpose": [
      {
        "purpose": "Business",
        "destination": "Europe"
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
DocumentOverridesResponseobject(DocumentOverridesResponse)

The response of a Document Overrides endpoint request.

Response
{ "DocumentOverridesResponse": { "DocumentOverrides": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }